---
title: "Get history"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{entityId}/verification/history`

## Path parameters

- `entityId` (`entity-verification-get-history.path.entityId`; string, required)
  - format `uuid`

## Query parameters

- `eventType` (`entity-verification-get-history.query.eventType`; string, optional)
  - one of `"verification_started"`, `"document_uploaded"`, `"identifier_verified"`, `"manual_review"`, `"approved"`, `"rejected"`, `"flagged"`
- `limit` (`entity-verification-get-history.query.limit`; number, optional)
  - min 1; max 100; default `50`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/verification/history'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/verification/history';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/verification/history"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "eventType": "verification_started",
    "eventSource": "string",
    "performedBy": "string",
    "verificationTarget": "string",
    "evidence": null,
    "notes": "string",
    "createdAt": "string"
  }
]
```

- `id` (`entity-verification-get-history.response.200.id`; string, required)
  - format `uuid`
- `entityId` (`entity-verification-get-history.response.200.entityId`; string, required)
  - format `uuid`
- `eventType` (`entity-verification-get-history.response.200.eventType`; string, required)
  - one of `"verification_started"`, `"document_uploaded"`, `"identifier_verified"`, `"manual_review"`, `"approved"`, `"rejected"`, `"flagged"`
- `eventSource` (`entity-verification-get-history.response.200.eventSource`; string, required, nullable)
- `performedBy` (`entity-verification-get-history.response.200.performedBy`; string, required, nullable)
- `verificationTarget` (`entity-verification-get-history.response.200.verificationTarget`; string, required, nullable)
- `notes` (`entity-verification-get-history.response.200.notes`; string, required, nullable)
- `createdAt` (`entity-verification-get-history.response.200.createdAt`; string, required)
- `evidence` (`entity-verification-get-history.response.200.evidence`; unknown, optional, nullable)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-verification-get-history.response.400.error`; object, required)
  - `code` (`entity-verification-get-history.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-verification-get-history.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-verification-get-history.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-verification-get-history.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-verification-get-history.response.401.error`; object, required)
  - `code` (`entity-verification-get-history.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-verification-get-history.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-verification-get-history.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-verification-get-history.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-verification-get-history.response.403.error`; object, required)
  - `code` (`entity-verification-get-history.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-verification-get-history.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-verification-get-history.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-verification-get-history.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-verification-get-history.response.404.error`; object, required)
  - `code` (`entity-verification-get-history.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-verification-get-history.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-verification-get-history.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-verification-get-history.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-verification-get-history.response.500.error`; object, required)
  - `code` (`entity-verification-get-history.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-verification-get-history.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-verification-get-history.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-verification-get-history.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-verification-get-history.response.503.error`; object, required)
  - `code` (`entity-verification-get-history.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-verification-get-history.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-verification-get-history.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-verification-get-history.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-verification-get-history/index.md
